% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create-data.R
\name{create_data_buy}
\alias{create_data_buy}
\title{Create data buy}
\usage{
create_data_buy(
  obs = 1000,
  target_name = "buy",
  factorise_target = FALSE,
  target1_prob = 0.5,
  add_extreme = TRUE,
  flip_gender = FALSE,
  add_id = FALSE,
  seed = 123
)
}
\arguments{
\item{obs}{Number of observations}

\item{target_name}{Variable name of target}

\item{factorise_target}{Should target variable be factorised?
(from 0/1 to factor no/yes)?}

\item{target1_prob}{Probability that target = 1}

\item{add_extreme}{Add an observation with extreme values?}

\item{flip_gender}{Should Male/Female be flipped in data?}

\item{add_id}{Add an id-variable to data?}

\item{seed}{Seed for randomization}
}
\value{
A dataset as tibble
}
\description{
Artificial data that can be used for unit-testing or teaching
}
\details{
Variables in dataset:
\itemize{
\item id = Identifier
\item period = Year & Month (YYYYMM)
\item city_ind = Indicating if customer is residing in a city (1 = yes, 0 = no)
\item female_ind = Gender of customer is female (1 = yes, 0 = no)
\item fixedvoice_ind = Customer has a fixed voice product (1 = yes, 0 = no)
\item fixeddata_ind = Customer has a fixed data product (1 = yes, 0 = no)
\item fixedtv_ind = Customer has a fixed TV product (1 = yes, 0 = no)
\item mobilevoice_ind = Customer has a mobile voice product (1 = yes, 0 = no)
\item mobiledata_prd = Customer has a mobile data product (NO/MOBILE STICK/BUSINESS)
\item bbi_speed_ind = Customer has a Broadband Internet (BBI) with extra speed
\item bbi_usg_gb = Broadband Internet (BBI) usage in Gigabyte (GB) last month
\item hh_single = Expected to be a Single Household (1 = yes, 0 = no)
}

Target in dataset:
\itemize{
\item buy (may be renamed) = Did customer buy a new product in next month?
(1 = yes, 0 = no)
}
}
\examples{
create_data_buy()
}
