% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create-data.R
\name{create_data_random}
\alias{create_data_random}
\title{Create data random}
\usage{
create_data_random(
  obs = 1000,
  vars = 10,
  target_name = "target_ind",
  factorise_target = FALSE,
  target1_prob = 0.5,
  add_id = TRUE,
  seed = 123
)
}
\arguments{
\item{obs}{Number of observations}

\item{vars}{Number of variables}

\item{target_name}{Variable name of target}

\item{factorise_target}{Should target variable be factorised?
(from 0/1 to facotr no/yes)?}

\item{target1_prob}{Probability that target = 1}

\item{add_id}{Add an id-variable to data?}

\item{seed}{Seed for randomization}
}
\value{
A dataset as tibble
}
\description{
Random data that can be used for unit-testing or teaching
}
\details{
Variables in dataset:
\itemize{
\item id = Identifier
\item var_X = variable containing values between 0 and 100
}

Target in dataset:
\itemize{
\item target_ind (may be renamed) = random values (1 = yes, 0 = no)
}
}
\examples{
create_data_random(obs = 100, vars = 5)
}
